//---------------------------------------------------------------------------

#ifndef MyChartUnitH
#define MyChartUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Chart.hpp"
#include "TeeGDIPlus.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"
#include <ExtCtrls.hpp>
#include "Series.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TChart *Chart1;
	TLineSeries *Series1;
	TLineSeries *Series2;
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------

class PACKAGE ITChart : public TChart
{

public:

   __fastcall ITChart (Classes::TComponent *opComponent);

   virtual __fastcall ~ITChart ();

   virtual void __fastcall InternalDraw (const TRect &r);

   __property bool DrawEnabled = {read = bDrawEnabled, write = bDrawEnabled};

private:

   bool bDrawEnabled;

};

#endif
